/*
 * Copyright (C) 2020-2021 Aloysius Indrayanto
 *
 * This file is part of the eCxx library, see LICENSE file for the license details.
 */


#include <eCxx/eCxx.h>

#include "AVR_Common.h"


//
// Include common source code for NVStorage test application
//
#include "../CommonCode/NVStorage_Common.h"


//
// The init function
//
void eCxx_user_init()
{
    // Initialize application
    initBasicAVRApp(true);

    // Test non-volatile storage features (reset everytime to see the effect)
    testNVStorage();
}


//
// The task function
//
void eCxx_user_task()
{
    // Process event
    App::processEvent();
}

